.site-header {
    background-color: #fff; /* Teie eelistatud taustavärv */
    border-bottom: 1px solid #ccc; /* Tausta piirjoon */
    padding: 10px 0; /* Või teie eelistatud polster */
    width: 100%; /* Laius vastavalt lehe laiusele */
    position: fixed; /* Fikseerib päise ekraani ülaossa */
    top: 0; /* Ei jäta ülemise ääre ja päise vahele ruumi */
    left: 0; /* Asetseb vasakule äärele */
    z-index: 1000; /* Tagab, et päis jääb teiste elementide peale */
}

/* Lisage polster lehe sisule, et see ei jääks päise alla peitu */
body {
    padding-top: 60px; /* See peaks olema võrdne või suurem kui teie päise kõrgus */
}


.header-container {
    width: 90%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo a {
    text-decoration: none;
    font-size: 24px;
    color: #000;
    background-color: transparent; /* Veenduge, et logo taust on läbipaistev */
}

.logo a img {
    height: auto; /* säilitab pildi originaalproportsioonid */
    width: 150px; /* soovitud logo laius */
}

.main-navigation ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    background-color: #fff; /* Sama taustavärv mis ülejäänud päisel */
}

.main-navigation ul li {
    background-color: #fff; /* Ühtne taustavärv igale menüü elemendile */
}

.main-navigation ul li a {
    text-decoration: none;
    padding: 0 15px;
    color: #000;
    font-size: 18px;
    background-color: #fff; /* Ühtne taustavärv igale menüü lingile */
}

.main-navigation ul li a:hover,
.main-navigation ul li a:focus {
    background-color: #f8f8f8; /* Võite määrata siin hõljumise efekti taustavärvi */
}

/* Rippmenüü stiilid */
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 20px 16px;
    text-decoration: none;
    display: block;
    text-align: left; /* Lisatud teksti joondamine vasakule */
}

.dropdown-content a:first-child {
    padding-top: 24px; /* Topeltpadding esimesele lingile */
}

.dropdown-content a:hover {background-color: #bdbdbd}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropbtn:hover {
    background-color: #bdbdbd;
}

.search input[type="text"] {
    padding: 5px;
    margin-left: 10px;
    background-color: #fff; /* Veenduge, et otsinguvälja taust on ühtne */
}

/* Veenduge, et kõik elemendid kasutavad õiget taustavärvi ja soovi korral lisage :hover efektid */
